@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap');

html {
	background-color: #1d252d;
}

body {
	background-color: #1d252d;
	color: white;
	font-family: 'Orbitron', sans-serif;
	letter-spacing: 0.1em;
	margin: 0;
	padding: 20px 0;
	display: flex;
	justify-content: flex-start;
	/* min-height: 100vh; */
	text-align: center;
	flex-direction: column;
	font-size: 24px;
	line-height: 1.3;
}

/* Style for the input */

input {
	font-family: 'Orbitron', sans-serif;
	letter-spacing: 0.3em;
	border: none;
	font-size: 18px;
	width: 365px;
	height: 60px;
	text-align: center;
	display: block;
	margin: 20px auto;

	background-color: #1e4050;
	color: white;
	transition: background-color 0.2s ease;

	--s: 10px;
	--t: 2px;
	--g: 0px;

	padding: calc(var(--g) + var(--t));
	outline: var(--t) solid #59c5fa;
	outline-offset: calc(-1 * var(--t));
	mask: conic-gradient(at var(--s) var(--s), #0000 75%, #000 0) 0 0 / calc(100% - var(--s)) calc(100% - var(--s)),
		linear-gradient(#000 0 0) content-box;
}

input:focus {
	background-color: #224a5e;
}

/* Style for the button */

button {
	background-color: #2a5a71;
	color: white;
	font-family: 'Orbitron', sans-serif;
	font-weight: 600;
	text-transform: uppercase;
	letter-spacing: 0.3em;
	border: none;
	font-size: 18px;
	cursor: pointer;
	width: 365px;
	height: 60px;
	text-align: center;
	display: block;
	margin: 20px auto;

	--s: 10px;
	--t: 2px;
	--g: 0px;

	padding: calc(var(--g) + var(--t));
	outline: var(--t) solid #59c5fa;
	outline-offset: calc(-1 * var(--t));
	mask: conic-gradient(at var(--s) var(--s), #0000 75%, #000 0) 0 0 / calc(100% - var(--s)) calc(100% - var(--s)),
		linear-gradient(#000 0 0) content-box;
	opacity: 1;
	transition: background-color 0.3s ease, color 0.3s ease, opacity 0.3s ease;
}

button:not([disabled]):hover {
	background-color: #59c5fa;
}

button:disabled {
	cursor: not-allowed;
	opacity: 0.5;
}

/* Smaller screens */

@media (max-width: 768px) {
	body {
		padding: 20px 20px;
	}
}

/* Style for links */

a:not(.interstitial-button) {
	color: #59c5fa;
	text-decoration: underline;
	word-wrap: break-word;
	overflow-wrap: break-word;
	hyphens: auto;
	transition: color 0.2s ease;
}

a:not(.interstitial-button):hover {
	color: #5337dd;
	text-decoration: underline;
}

a:not(.interstitial-button):not(.noicon):before {
	content: '🔗';
	display: inline-block;
}

a.interstitial-button.arg {
	height: auto;
	line-height: 0;
}

.interstitial-button .interstitial-title {
	line-height: 60px;
}

.interstitial-button .interstitial-label {
	line-height: 2em;
	font-style: italic;
	display: inline-block;
	margin-bottom: 16px;
}

a.interstitial-button.arg {
	background: #401e81;
}

a.interstitial-button.arg.interstitial-button.arg:hover {
	background: #513683;
}

/* Center elements inside the body */

* {
	box-sizing: border-box;
	max-width: 100%;
}

/* Visuals */

#visual-wrapper {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

img.visual,
video.visual,
iframe.visual,
canvas.visual {
	--s: 30px;
	--t: 2px;
	--g: 5px;

	width: auto;
	height: auto;
	max-height: 60vh;
	margin-bottom: 24px;
	object-fit: contain;

	padding: calc(var(--g) + var(--t));
	outline: var(--t) solid #59c5fa;
	outline-offset: calc(-1 * var(--t));
	mask: conic-gradient(at var(--s) var(--s), #0000 75%, #000 0) 0 0 / calc(100% - var(--s)) calc(100% - var(--s)),
		linear-gradient(#000 0 0) content-box;
}

img.depthy-placeholder {
	filter: blur(10px);
	cursor: pointer;
}

.depthy-placeholder-overlay {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	font-weight: bold;
	color: lightgray;
	text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.9);
	cursor: pointer;
}

.depthy-spinner {
	position: absolute;
	/* top: 50%;
	left: 50%;
	transform: translate(-50%, -50%); */
	display: inline-block;
	width: 50px;
	height: 50px;
	border: 5px solid rgba(89, 197, 250, 0.5);
	border-radius: 50%;
	border-top-color: #59c5fa;
	animation: depthy-spin 1s linear infinite;
}

@keyframes depthy-spin {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

/* blockquote.twitter-tweet::before {
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 50px;
	height: 50px;
	border: 5px solid rgba(89, 197, 250, 0.5);
	border-radius: 50%;
	border-top-color: #59c5fa;
	animation: depthy-spin 1s linear infinite;
	display: inline-block;
} */

blockquote.twitter-tweet {
	position: relative;
	min-height: 100px;
	/* filter: blur(5px); */
}

blockquote.twitter-tweet::after {
	content: '';
	position: absolute;
	top: calc(50% - 25px);
	left: calc(50% - 25px);
	width: 50px;
	height: 50px;
	border: 10px solid rgba(250, 89, 151, 0.5);
	border-radius: 50%;
	border-top-color: #f50080;
	animation: depthy-spin 1s linear infinite;
	display: inline-block;
}

blockquote {
	background-color: rgba(42, 90, 113, 0.2);
	border-left: 4px solid #59c5fa;
	margin: 16px auto;
	padding: 15px 20px;
	text-align: left;
	font-style: italic;
	position: relative;
	max-width: 800px;
	font-size: 14px;
}

blockquote::before {
	content: '';
	font-size: 60px;
	position: absolute;
	left: 10px;
	top: -10px;
	color: rgba(89, 197, 250, 0.4);
	font-family: serif;
}

blockquote::after {
	content: '';
	font-size: 60px;
	position: absolute;
	right: 10px;
	bottom: -30px;
	color: rgba(89, 197, 250, 0.4);
	font-family: serif;
}

div.twitter-tweet {
	margin: 0 auto;
}

#passphrase-reveal {
	display: inline-block;
	margin: 0 auto;
	border: 3px dashed #5337dd;
	padding: 8px 12px;
	border-radius: 10px;
	background-color: #0c0c0c;
	position: relative;
	cursor: pointer;
}

#passphrase-reveal::after {
	display: flex;
	justify-content: center;
	align-items: center;
	content: 'Click to reveal';
	white-space: nowrap;
	position: absolute;
	top: -3px;
	left: -3px;
	bottom: -3px;
	right: 5%;
	border-radius: 10px;
	background: linear-gradient(45deg, #312083, #59c5fa);
	transition: right 1s ease-out, opacity 1s ease;
	opacity: 1;
}

#passphrase-reveal:hover::after {
	right: 15%;
}

#passphrase-reveal.revealed::after {
	content: '';
	right: 100%;
	opacity: 0;
}

#passphrase-reveal .letter,
#passphrase-reveal .number {
	font-weight: bold;
	color: #59c5fa;
}

#passphrase-reveal .word {
	font-weight: bold;
	color: #f50080;
}

.steamIcon {
	display: inline-block;
	width: 1em;
}

.passphrase-explainer {
	font-size: 18px;
}

.chatTitle {
	font-size: 36px;
	font-weight: bold;
	color: #59c5fa;
	margin-bottom: 24px;
}

.chatExplainer {
	font-size: 20px;
}

.hidden {
	display: none;
}

#promptWrapper {
	margin-left: 50px;
	margin-right: 15px;
}

#prompt {
	font-family: 'Orbitron', sans-serif;
	background-color: rgba(42, 90, 113, 0.3);
	color: white;
	border: none;
	border-radius: 20px 20px 3px 20px;
	padding: 15px;
	font-size: 18px;
	width: 365px;
	min-height: 100px;
	margin: 20px auto;
	resize: vertical;
	letter-spacing: 0.1em;
	text-align: left;

	--s: 10px;
	--t: 2px;
	--g: 0px;

	outline: var(--t) solid #59c5fa;
	outline-offset: calc(-1 * var(--t));
	box-shadow: 0 3px 10px rgba(89, 197, 250, 0.2);
	transition: background-color 0.3s ease;
}

#prompt:focus {
	background-color: rgba(42, 90, 113, 0.5);
	outline: var(--t) solid #59c5fa;
}

#responseWrapper {
	margin-left: 15px;
	margin-right: 50px;
}

#response {
	font-family: 'Orbitron', sans-serif;
	background-color: #020044;
	color: white;
	border: none;
	border-radius: 20px 20px 20px 3px;
	padding: 15px;
	font-size: 18px;
	width: 365px;
	min-height: 100px;
	margin: 20px auto;
	resize: vertical;
	letter-spacing: 0.1em;
	text-align: left;

	--s: 10px;
	--t: 2px;
	--g: 0px;

	outline: var(--t) solid #f50080;
	outline-offset: calc(-1 * var(--t));
	box-shadow: 0 3px 10px #04006f;
	transition: background-color 0.3s ease;
}

[contenteditable='true']:empty:before {
	content: attr(placeholder);
	pointer-events: none;
	display: block; /* For Firefox */
}

[contenteditable='true']:empty:focus:before {
	content: '';
}

#aiAvatarWrapper {
	margin-top: 24px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	position: relative;
}

@keyframes talk {
	0% {
		transform: translateY(0) rotate(0);
	}
	25% {
		transform: translateY(-10px) translateX(5px) rotate(2deg);
	}
	50% {
		transform: translateY(-15px) translateX(-5px) rotate(-2deg);
	}
	75% {
		transform: translateY(-8px) translateX(3px) rotate(1deg);
	}
	100% {
		transform: translateY(0) rotate(0);
	}
}

#aiAvatar {
	animation: float 6s linear infinite alternate;
	transition: filter 0.3s ease;
}

#aiAvatar.talk {
	animation: float 6s linear infinite alternate, talk 2s ease-in-out infinite alternate;
}

#aiAvatar.disconnected {
	/* filter: grayscale(50%); */
}

@keyframes float {
	0% {
		transform: translateY(0);
	}
	25% {
		transform: translateY(-10px);
	}
	50% {
		transform: translateY(-15px);
	}
	75% {
		transform: translateY(-8px);
	}
	100% {
		transform: translateY(0);
	}
}

#connectionStatus {
	font-size: 16px;
	margin: 24px auto;
	color: #f50080;
}

dialog#chatModal {
	background-color: rgba(0, 0, 0, 0.9);
	color: white;
	border: none;
	border-radius: 20px;
	padding: 0 20px;
	width: 80%;
	min-height: 100px;
	margin: 0px auto;
	letter-spacing: 0.1em;
	text-align: left;
	position: fixed;
	top: 50px;
	left: 10%;
	right: 10%;
	z-index: 1000;
}

#chatModal .chatExplainer {
	font-size: 16px;
}

#retryBtn {
	margin-top: 50px;
}

#passphraseReveal {
	margin-bottom: 50px;
}

.learn-more-btn {
	background-color: #2a5a71;
	color: white;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 20px;
	font-weight: bold;
	border: 2px solid #59c5fa;
	border-radius: 15px;
	width: 30px;
	height: 30px;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	text-align: center;
	transition: background-color 0.3s ease;
}

.learn-more-btn:hover {
	background-color: #59c5fa;
}

#aa-logo {
	width: 80%;
	max-width: 300px;
	margin: 0 auto;
	margin-bottom: 24px;
}

#bible-verse {
	margin: 0 auto;
	margin-top: 48px;
	width: 80%;
	max-width: 400px;
	text-align: left;
	position: relative;
}

#bible-quote {
	font-size: 20px;
	font-weight: bold;
	color: #59c5fa;
	margin-bottom: 10px;
	text-indent: 32px;
	font-style: italic;
}

#bible-quote::before {
	content: '"';
	color: #5337dd;
	font-size: 60px;
	position: absolute;
	left: -38px;
	top: -24px;
	font-family: serif;
	font-weight: bold;
	font-style: italic;
	text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.9);
}

#bible-reference {
	font-size: 16px;
	color: #f50080;
	text-align: right;
}

a.interstitial-button {
	background-color: #2a5a71;
	color: white;
	font-family: 'Orbitron', sans-serif;
	font-weight: 600;
	text-transform: uppercase;
	letter-spacing: 0.3em;
	text-decoration: none;
	border: none;
	font-size: 18px;
	cursor: pointer;
	width: 365px;
	height: 60px;
	line-height: 60px;
	text-align: center;
	display: block;
	margin: 20px auto;

	--s: 10px;
	--t: 2px;
	--g: 0px;

	padding: calc(var(--g) + var(--t));
	outline: var(--t) solid #59c5fa;
	outline-offset: calc(-1 * var(--t));
	mask: conic-gradient(at var(--s) var(--s), #0000 75%, #000 0) 0 0 / calc(100% - var(--s)) calc(100% - var(--s)),
		linear-gradient(#000 0 0) content-box;
	opacity: 1;
	transition: background-color 0.3s ease, color 0.3s ease, opacity 0.3s ease;
}

a.interstitial-button:not([disabled]):hover {
	text-decoration: none;
	background-color: #59c5fa;
}
